org.apache.lucene.facet.sortedset

## Class DefaultSortedSetDocValuesReaderState

- java.lang.Object
- - org.apache.lucene.facet.sortedset.SortedSetDocValuesReaderState
  - - org.apache.lucene.facet.sortedset.DefaultSortedSetDocValuesReaderState

-     public class DefaultSortedSetDocValuesReaderState
      extends SortedSetDocValuesReaderState

  Default implementation of `SortedSetDocValuesFacetCounts`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.facet.sortedset.SortedSetDocValuesReaderState

      `SortedSetDocValuesReaderState.OrdRange`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IndexReader` | `origReader` `IndexReader` passed to the constructor.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSortedSetDocValuesReaderState(IndexReader reader)` Creates this, pulling doc values from the default `FacetsConfig.DEFAULT_INDEX_FIELD_NAME`.
    `DefaultSortedSetDocValuesReaderState(IndexReader reader, String field)` Creates this, pulling doc values from the specified field.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SortedSetDocValues` | `getDocValues()` Return top-level doc values.
    `String` | `getField()` Indexed field we are reading.
    `SortedSetDocValuesReaderState.OrdRange` | `getOrdRange(String dim)` Returns the `SortedSetDocValuesReaderState.OrdRange` for this dimension.
    `IndexReader` | `getOrigReader()` Returns top-level index reader.
    `Map<String,SortedSetDocValuesReaderState.OrdRange>` | `getPrefixToOrdRange()` Returns mapping from prefix to `SortedSetDocValuesReaderState.OrdRange`.
    `int` | `getSize()` Number of unique labels.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### origReader

          public final IndexReader origReader

      `IndexReader` passed to the constructor.

  - ### Constructor Detail

    - #### DefaultSortedSetDocValuesReaderState

          public DefaultSortedSetDocValuesReaderState(IndexReader reader)
                                               throws IOException

      Creates this, pulling doc values from the default `FacetsConfig.DEFAULT_INDEX_FIELD_NAME`.
      Throws:
        `IOException`

    - #### DefaultSortedSetDocValuesReaderState

          public DefaultSortedSetDocValuesReaderState(IndexReader reader,
                                              String field)
                                               throws IOException

      Creates this, pulling doc values from the specified field.
      Throws:
        `IOException`

  - ### Method Detail

    - #### getDocValues

          public SortedSetDocValues getDocValues()
                                          throws IOException

      Return top-level doc values.
      Specified by:
        `getDocValues` in class `SortedSetDocValuesReaderState`
      Throws:
        `IOException`

    - #### getPrefixToOrdRange

          public Map<String,SortedSetDocValuesReaderState.OrdRange> getPrefixToOrdRange()

      Returns mapping from prefix to `SortedSetDocValuesReaderState.OrdRange`.
      Specified by:
        `getPrefixToOrdRange` in class `SortedSetDocValuesReaderState`

    - #### getOrdRange

          public SortedSetDocValuesReaderState.OrdRange getOrdRange(String dim)

      Returns the `SortedSetDocValuesReaderState.OrdRange` for this dimension.
      Specified by:
        `getOrdRange` in class `SortedSetDocValuesReaderState`

    - #### getField

          public String getField()

      Indexed field we are reading.
      Specified by:
        `getField` in class `SortedSetDocValuesReaderState`

    - #### getOrigReader

          public IndexReader getOrigReader()

      Description copied from class: `SortedSetDocValuesReaderState`
      Returns top-level index reader.
      Specified by:
        `getOrigReader` in class `SortedSetDocValuesReaderState`

    - #### getSize

          public int getSize()

      Number of unique labels.
      Specified by:
        `getSize` in class `SortedSetDocValuesReaderState`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.